Error : Components under `Expo.Components` have been moved to the root `Expo` namespace


#1

How do i fix this error ?

In the component below how do i fix this ?

import { View, Text, ActivityIndicator } from “react-native”;
import React from “react”;
import { Components } from “expo”;
import { connect } from ‘react-redux’;
import { Button, Icon } from ‘react-native-elements’;

import * as actions from ‘…/actions’;

// class MapScreen extends Component {
class MapScreen extends React.Component {

state = {
mapLoaded: false,
mapRegion: {
longitude: -122,
latitude: 37,
longitudeDelta: 0.04,
latitudeDelta: 0.09
}
}

componentDidMount() {
this.setState({ mapLoaded: true });
}
onButtonPress = () => {
console.log(’ clicked onButtonPress ');
this.props.fetchJobs(this.state.mapRegion, () => {
this.props.navigation.navigate(‘deck’);
});
}

_handleMapRegionChange = (mapRegion) => {
this.setState({ mapRegion });
}

render() {
if (!this.state.mapLoaded) {
return (
<View style={{ flex: 1, justifyContent: “center” }}>


);
}

return (
  <View style={{ flex: 1 }}>
      <Components.MapView style={{ flex: 1 }} region={this.state.mapRegion}
      onRegionChange={this._handleMapRegionChange}
      />

    <View style={styles.buttonContainer}>
      <Button
        large
        title="Search area"
        backgroundColor="#009688"
        icon={{ name: 'search' }}
        onPress={this.onButtonPress}
      />
    </View>
  </View>
);

}
}

const styles = {
buttonContainer: {
position: ‘absolute’,
bottom: 20,
left: 0,
right: 0
}
}
export default connect(null, actions)(MapScreen);

//
Here s my package.json

{
“name”: “jobs-x-15”,
“version”: “0.0.0”,
“description”: “Hello Expo!”,
“author”: null,
“private”: true,
“main”: “main.js”,
“dependencies”: {
“axios”: “^0.16.2”,
“expo”: “17.0.0”,
“latlng-to-zip”: “^0.0.1”,
“lodash”: “^4.17.4”,
“qs”: “^6.4.0”,
“react”: “16.0.0-alpha.6”,
“react-native”: “https://github.com/expo/react-native/archive/sdk-17.0.0.tar.gz”,
“react-native-elements”: “^0.13.0”,
“react-navigation”: “^1.0.0-beta.11”,
“react-redux”: “^5.0.5”,
“redux”: “^3.7.0”,
“redux-thunk”: “^2.2.0”
}
}